<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (14.0.1) on Sun Aug 01 17:59:29 CEST 2021 -->
<title>A-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-08-01">
<meta name="description" content="index: A">
<meta name="generator" content="javadoc/SplitIndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.js"></script>
</head>
<body class="split-index">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flexBox">
<header role="banner" class="flexHeader">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="skipNav"><a id="skip.navbar.top">
<!--   -->
</a></div>
</nav>
</header>
<div class="flexContent">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;<a href="index-22.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="verticalSeparator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:A">
<!--   -->
</a>
<h2 class="title">A</h2>
<dl>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Character.html#aap">aap</a></span> - Variable in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Character.html" title="class in com.zelyvanna.bdoefficiency.model">Character</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/controller/CharacterController.html#addCharacter(com.zelyvanna.bdoefficiency.model.Character)">addCharacter(Character)</a></span> - Method in class com.zelyvanna.bdoefficiency.controller.<a href="../com/zelyvanna/bdoefficiency/controller/CharacterController.html" title="class in com.zelyvanna.bdoefficiency.controller">CharacterController</a></dt>
<dd>
<div class="block">Allows an administrator or a moderator or a user to add a new character</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/controller/GrindController.html#addGrind(com.zelyvanna.bdoefficiency.model.Grind)">addGrind(Grind)</a></span> - Method in class com.zelyvanna.bdoefficiency.controller.<a href="../com/zelyvanna/bdoefficiency/controller/GrindController.html" title="class in com.zelyvanna.bdoefficiency.controller">GrindController</a></dt>
<dd>
<div class="block">Allows User to add a new Grind session</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Grind.html#addGrindItem(com.zelyvanna.bdoefficiency.model.GrindItem)">addGrindItem(GrindItem)</a></span> - Method in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/controller/GrindspotController.html#addGrindspot(com.zelyvanna.bdoefficiency.model.Grindspot)">addGrindspot(Grindspot)</a></span> - Method in class com.zelyvanna.bdoefficiency.controller.<a href="../com/zelyvanna/bdoefficiency/controller/GrindspotController.html" title="class in com.zelyvanna.bdoefficiency.controller">GrindspotController</a></dt>
<dd>
<div class="block">Allows an administrator or a moderator to add a new grindspot</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/controller/ItemController.html#addItem(org.springframework.web.multipart.MultipartFile,java.lang.String,int,int,boolean)">addItem(MultipartFile, String, int, int, boolean)</a></span> - Method in class com.zelyvanna.bdoefficiency.controller.<a href="../com/zelyvanna/bdoefficiency/controller/ItemController.html" title="class in com.zelyvanna.bdoefficiency.controller">ItemController</a></dt>
<dd>
<div class="block">Allows an administrator or a moderator to add a new item</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/controller/TestController.html#adminAccess()">adminAccess()</a></span> - Method in class com.zelyvanna.bdoefficiency.controller.<a href="../com/zelyvanna/bdoefficiency/controller/TestController.html" title="class in com.zelyvanna.bdoefficiency.controller">TestController</a></dt>
<dd>
<div class="block">Admin Route</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Grind.html#agris">agris</a></span> - Variable in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Grind.html" title="class in com.zelyvanna.bdoefficiency.model">Grind</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/controller/TestController.html#allAccess()">allAccess()</a></span> - Method in class com.zelyvanna.bdoefficiency.controller.<a href="../com/zelyvanna/bdoefficiency/controller/TestController.html" title="class in com.zelyvanna.bdoefficiency.controller">TestController</a></dt>
<dd>
<div class="block">Not restricted Routes</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/Character.html#ap">ap</a></span> - Variable in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/Character.html" title="class in com.zelyvanna.bdoefficiency.model">Character</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/zelyvanna/bdoefficiency/controller/AuthController.html" title="class in com.zelyvanna.bdoefficiency.controller"><span class="typeNameLink">AuthController</span></a> - Class in <a href="../com/zelyvanna/bdoefficiency/controller/package-summary.html">com.zelyvanna.bdoefficiency.controller</a></dt>
<dd>
<div class="block">Authentication Controller</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/controller/AuthController.html#%3Cinit%3E()">AuthController()</a></span> - Constructor for class com.zelyvanna.bdoefficiency.controller.<a href="../com/zelyvanna/bdoefficiency/controller/AuthController.html" title="class in com.zelyvanna.bdoefficiency.controller">AuthController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/controller/AuthController.html#authenticateUser(com.zelyvanna.bdoefficiency.payload.request.LoginRequest)">authenticateUser(LoginRequest)</a></span> - Method in class com.zelyvanna.bdoefficiency.controller.<a href="../com/zelyvanna/bdoefficiency/controller/AuthController.html" title="class in com.zelyvanna.bdoefficiency.controller">AuthController</a></dt>
<dd>
<div class="block">Route used to authenticate a User</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/security/WebSecurityConfig.html#authenticationJwtTokenFilter()">authenticationJwtTokenFilter()</a></span> - Method in class com.zelyvanna.bdoefficiency.security.<a href="../com/zelyvanna/bdoefficiency/security/WebSecurityConfig.html" title="class in com.zelyvanna.bdoefficiency.security">WebSecurityConfig</a></dt>
<dd>
<div class="block">Auth Token Filter Bean</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/controller/AuthController.html#authenticationManager">authenticationManager</a></span> - Variable in class com.zelyvanna.bdoefficiency.controller.<a href="../com/zelyvanna/bdoefficiency/controller/AuthController.html" title="class in com.zelyvanna.bdoefficiency.controller">AuthController</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/security/WebSecurityConfig.html#authenticationManagerBean()">authenticationManagerBean()</a></span> - Method in class com.zelyvanna.bdoefficiency.security.<a href="../com/zelyvanna/bdoefficiency/security/WebSecurityConfig.html" title="class in com.zelyvanna.bdoefficiency.security">WebSecurityConfig</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/zelyvanna/bdoefficiency/security/jwt/AuthEntryPointJwt.html" title="class in com.zelyvanna.bdoefficiency.security.jwt"><span class="typeNameLink">AuthEntryPointJwt</span></a> - Class in <a href="../com/zelyvanna/bdoefficiency/security/jwt/package-summary.html">com.zelyvanna.bdoefficiency.security.jwt</a></dt>
<dd>
<div class="block">AuthEntryPointJWT</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/security/jwt/AuthEntryPointJwt.html#%3Cinit%3E()">AuthEntryPointJwt()</a></span> - Constructor for class com.zelyvanna.bdoefficiency.security.jwt.<a href="../com/zelyvanna/bdoefficiency/security/jwt/AuthEntryPointJwt.html" title="class in com.zelyvanna.bdoefficiency.security.jwt">AuthEntryPointJwt</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/security/services/UserDetailsImpl.html#authorities">authorities</a></span> - Variable in class com.zelyvanna.bdoefficiency.security.services.<a href="../com/zelyvanna/bdoefficiency/security/services/UserDetailsImpl.html" title="class in com.zelyvanna.bdoefficiency.security.services">UserDetailsImpl</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/controller/ClasseControllerTest.html#authTokenFilter">authTokenFilter</a></span> - Variable in class com.zelyvanna.bdoefficiency.controller.<a href="../com/zelyvanna/bdoefficiency/controller/ClasseControllerTest.html" title="class in com.zelyvanna.bdoefficiency.controller">ClasseControllerTest</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/zelyvanna/bdoefficiency/security/jwt/AuthTokenFilter.html" title="class in com.zelyvanna.bdoefficiency.security.jwt"><span class="typeNameLink">AuthTokenFilter</span></a> - Class in <a href="../com/zelyvanna/bdoefficiency/security/jwt/package-summary.html">com.zelyvanna.bdoefficiency.security.jwt</a></dt>
<dd>
<div class="block">Auth Token Filter</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/security/jwt/AuthTokenFilter.html#%3Cinit%3E()">AuthTokenFilter()</a></span> - Constructor for class com.zelyvanna.bdoefficiency.security.jwt.<a href="../com/zelyvanna/bdoefficiency/security/jwt/AuthTokenFilter.html" title="class in com.zelyvanna.bdoefficiency.security.jwt">AuthTokenFilter</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/ClasseAverage.html#average">average</a></span> - Variable in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/ClasseAverage.html" title="class in com.zelyvanna.bdoefficiency.model">ClasseAverage</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/zelyvanna/bdoefficiency/model/GrindspotAverage.html#average">average</a></span> - Variable in class com.zelyvanna.bdoefficiency.model.<a href="../com/zelyvanna/bdoefficiency/model/GrindspotAverage.html" title="class in com.zelyvanna.bdoefficiency.model">GrindspotAverage</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">W</a>&nbsp;<a href="index-22.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="verticalSeparator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</div>
</div>
</body>
</html>
